llvm-defaults (0.63ubuntu1) plucky; urgency=medium

  * Don't build omp packages on riscv64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 20 Feb 2025 21:48:14 +0100

llvm-defaults (0.63ubuntu1~ppa1) plucky; urgency=medium

  * Default to 20

 -- Dominik Viererbe <dominik.viererbe@canonical.com>  Wed, 12 Feb 2025 16:43:15 +0200

llvm-defaults (0.63) unstable; urgency=medium

  * Provide libomp5 and libomp-dev on riscv64 (and mips64el and loong64)
    Thanks to Aurélien Jarno for the patch
    (Closes: #1087281)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 11 Nov 2024 12:42:42 +0100

llvm-defaults (0.62) unstable; urgency=medium

  * flang isn't a thing on mips64el (Closes: #1085422)
    Use a defined list of archs instead of "any"

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 22 Oct 2024 08:44:12 +0200

llvm-defaults (0.61) unstable; urgency=medium

  * Please provide scan-build-py symlink

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 18 Oct 2024 00:18:28 +0200

llvm-defaults (0.60) unstable; urgency=medium

  * Upload to 19
    See https://release.debian.org/transitions/html/llvm-defaults-19.html
    for the transition

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 05 Oct 2024 07:57:05 +0200

llvm-defaults (0.60~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Default to 19.
  * Update architectures for libllvm-ocaml-dev, libomp-dev and libomp5.
  * Don't build libclang-rt-dev on 32bit archs, except for i386.

  [ Gianfranco Costamagna ]
  * Help apt breaking libc++1-14 libc++abi1-14 (Closes: #1052585)

  [ Sylvestre Ledru ]
  * Update of the package descriptions
  * Fix lintian "spelling-error-in-changelog"

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 18 Sep 2024 13:51:34 +0200

llvm-defaults (0.59~exp2) experimental; urgency=medium

  [ chenli ]
  * Fix the default selection on loong64

  [ Gianfranco Costamagna ]
  * Merge loong64 0.58~exp2 upload
  * Merge entries for 0.58 and 0.58.1 from sid
    (no renaming necessary for llvm-18)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Mar 2024 12:19:55 +0100

llvm-defaults (0.59~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Default to 18

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 28 Feb 2024 09:30:40 +0100

llvm-defaults (0.58.1) unstable; urgency=medium

  * Fix t64 dependency for libomp5.

 -- Matthias Klose <doko@debian.org>  Sat, 30 Mar 2024 11:27:13 +0100

llvm-defaults (0.58) unstable; urgency=medium

  [ Sylvestre Ledru ]
  * Update of the description of clang package

  [ Matthias Klose ]
  * Fix t64 dependencies.

 -- Matthias Klose <doko@debian.org>  Fri, 29 Mar 2024 13:11:54 +0100

llvm-defaults (0.58~exp1) experimental; urgency=medium

  * Default to 17
  * Fix duplicated short description lintian
  * Make copyright file dep5 machine readable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 Sep 2023 08:53:16 +0200

llvm-defaults (0.57) unstable; urgency=medium

  * Upload to unstable. See bug #1050071 for the transition

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 13 Sep 2023 15:35:38 +0200

llvm-defaults (0.57~exp5) experimental; urgency=medium

  * Really build llvm-bolt package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Sep 2023 13:37:06 +0200

llvm-defaults (0.57~exp4) experimental; urgency=medium

  * Rename bolt to llvm-bolt (Closes: #1041871)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 09 Sep 2023 22:17:18 +0200

llvm-defaults (0.57~exp3) experimental; urgency=medium

  * Revert bolt addition on amd64, breaks src:bolt (Closes: #1041871)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Aug 2023 07:56:03 +0200

llvm-defaults (0.57~exp2) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * Add libbolt-dev & bolt as packages (amd64 only)

  [ Gianfranco Costamagna ]
  * Add new libflang-dev package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 18 Jul 2023 18:06:38 +0200

llvm-defaults (0.57~exp1) experimental; urgency=medium

  * Default to 16

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Mar 2023 13:01:45 +0100

llvm-defaults (0.56~exp3) experimental; urgency=medium

  * Create a new dependency package for flang

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 29 Jan 2023 18:12:43 +0100

llvm-defaults (0.56~exp2) experimental; urgency=medium

  * Default to 15

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 17 Jan 2023 09:13:20 +0100

llvm-defaults (0.55.7) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Add Breaks against not co-installable packages for smoother upgrades from
    bullseye.  (Closes: #1036580)
  * Fix /usr/include/lld symlink.  (Closes: #1036577)

  [ Sylvestre Ledru ]
  * Silent the breaks-without-version lintian warnings

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Jul 2023 13:00:54 +0200

llvm-defaults (0.55.6) unstable; urgency=medium

  * Add s390x in the lld supported archs

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 13 Feb 2023 23:43:35 +0100

llvm-defaults (0.55.5) unstable; urgency=medium

  * Create new dependencies packages - request for Firefox
    - libclang-rt-dev => libclang-rt-14-dev
    - libclang-rt-dev-wasm32 => libclang-rt-14-dev-wasm32
    - libclang-rt-dev-wasm64 => libclang-rt-14-dev-wasm64
    - libc++-dev-wasm32 => libc++-14-dev-wasm32

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 16 Jan 2023 09:36:09 +0100

llvm-defaults (0.55.4) unstable; urgency=medium

  * remove llvm-reduce symlink manpage (Closes: #1026967)
  * Update lintian override info to new format:
    + debian/clang-tidy.lintian-overrides: line 1
    + debian/clang-format.lintian-overrides: line 1
  * Trim trailing whitespace.
  * Update standards version to 4.6.2, no changes needed.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 05 Jan 2023 23:14:50 +0100

llvm-defaults (0.55.3) unstable; urgency=medium

  * Install llvm-reduce in llvm-defaults
    Upstream 59303

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 12 Dec 2022 14:34:50 +0100

llvm-defaults (0.55.2) unstable; urgency=medium

  * Update standards version to 4.6.1, no changes needed.
  * Add a meta package for liblld-dev (Closes: #1003109)
  * Update of the descriptions (more consistency)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 04 Oct 2022 18:24:46 +0200

llvm-defaults (0.56~exp1) experimental; urgency=medium

  * Default to 15

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Aug 2022 15:02:31 +0200

llvm-defaults (0.55.1) unstable; urgency=medium

  * Add the llvm-addr2line symlink (Closes: #1016163)
  * Add a bunch of symlink for manpages

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 02 Aug 2022 14:14:13 +0200

llvm-defaults (0.55) unstable; urgency=medium

  * Upload to unstable to default to 14

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 26 Jul 2022 10:56:20 +0200

llvm-defaults (0.55~exp4) experimental; urgency=medium

  * Only drop lldb* on riscv64, not built there.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 24 May 2022 10:32:30 +0200

llvm-defaults (0.55~exp3) experimental; urgency=medium

  * Bring ocaml back on riscv64, llvm-14 looks now building it

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 May 2022 13:37:40 +0200

llvm-defaults (0.55~exp2) experimental; urgency=medium

  * Revert addition of riscv64 for lldb packages, llvm-14 is still
    not building them

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Apr 2022 22:51:10 +0200

llvm-defaults (0.55~exp1) experimental; urgency=medium

  [ Kasper Kantz ]
  * Add riscv64 architecture in control
    enable liblldb, libomp and others which are
    currently unavailable in riscv64 repository.

  [ Matthias Klose ]
  * Default to llvm-14.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 31 Mar 2022 07:05:21 +0200

llvm-defaults (0.54) unstable; urgency=medium

  * Disable lldb on mips*. it was done in 13.0.0-8
  * Provide a symlink from lld-link-X => lld-link (Closes: #990088)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 24 Dec 2021 17:48:07 +0100

llvm-defaults (0.53) unstable; urgency=medium

  * Upload to unstable to default to 13
  * Remove old libomp-dev dep
  * Remove python-lldb & python-clang

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + clang: Drop versioned constraint on clang in Replaces.
    + clang-tools: Drop versioned constraint on clang in Replaces.
    + clang-tools: Drop versioned constraint on clang in Breaks.
    + clang-tidy: Drop versioned constraint on clang in Replaces.
    + clang-tidy: Drop versioned constraint on clang in Breaks.
    + clang-format: Drop versioned constraint on clang in Replaces.
    + clang-format: Drop versioned constraint on clang in Breaks.
    + python3-clang: Drop versioned constraint on python-clang in Replaces.
    + python3-clang: Drop versioned constraint on python-clang in Breaks.
    + python3-lldb: Drop versioned constraint on python-lldb in Replaces.
    + python3-lldb: Drop versioned constraint on python-lldb in Breaks.
    + libomp-dev: Drop versioned constraint on libomp-dev in Replaces.
    + libomp-dev: Drop versioned constraint on libomp-dev in Breaks.
  * Apply multi-arch hints.
    + clang-format, clang-tidy, clang-tools, clangd, libclang-dev, liblldb-dev,
      libomp-dev, lld, lldb, llvm-runtime, python-clang, python-lldb,
      python3-clang, python3-lldb: Add Multi-Arch: same.
  * Avoid setting debhelper compat version in debian/rules and debian/compat.
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.6.0, no changes needed.

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 30 Nov 2021 22:19:56 +0100

llvm-defaults (0.53~exp1) experimental; urgency=medium

  [ Matthias Klose ]
  * Default to llvm-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 28 Sep 2021 12:13:47 +0200

llvm-defaults (0.52~exp2) experimental; urgency=medium

  * Merge 0.51+nmu5 into experimental branch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 03 Jun 2021 15:38:40 +0200

llvm-defaults (0.52~exp1) experimental; urgency=medium

  * Drop TODO and Breaks/Replaces
  * Bump defaults to llvm-12
  * Drop double breaks/replaces for clang-tools

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 15 Mar 2021 11:26:07 +0100

llvm-defaults (0.51+nmu5) unstable; urgency=medium

  * Non-maintainer upload.
  * llvm: Drop broken manpage symlinks, targets removed since llvm-9.
    (Closes: #952533)
  * lldb: Drop lldb-mi symlink, target removed since lldb-10.
  * libllvm-ocaml-dev: Fix /usr/lib/ocaml/METAS/META.llvm symlink.
    (Closes: #857768)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 12 May 2021 18:30:33 +0200

llvm-defaults (0.51+nmu4) unstable; urgency=medium

  * Non-maintainer upload.

  * really fix relax breaks+replaces;
    closes: bug#979817, thanks (again) to Andreas Beckmann

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 14 Jan 2021 16:39:00 +0100

llvm-defaults (0.51+nmu3) unstable; urgency=medium

  * Non-maintainer upload.

  * add note documenting need for Breaks+Replaces
  * fix relax breaks+replaces;
    closes: bug#979817, thanks to Andreas Beckmann and Sylvestre Ledru

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 11 Jan 2021 15:49:22 +0100

llvm-defaults (0.51+nmu2) unstable; urgency=medium

  * Non-maintainer upload.

  * fix provide unversioned wasm-ld in lld
    (not broken symlink in llvm),
    and replace + break broken package;
    thanks to Paul Wise and Sylvestre Ledru

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 Jan 2021 18:25:49 +0100

llvm-defaults (0.51+nmu1) unstable; urgency=medium

  * Non-maintainer upload.

  * Provide unversioned wasm-ld in llvm;
    closes: bug#976431

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Dec 2020 17:10:28 +0100

llvm-defaults (0.51) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 23:43:26 +0100

llvm-defaults (0.51~exp2) experimental; urgency=medium

  [ Alexander Volkov ]
  * Add libclang-cpp-dev package

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 04 Dec 2020 21:05:39 +0100

llvm-defaults (0.51~exp1) experimental; urgency=medium

  * Disable ocaml binding on i386, the architecture is dying in Ubuntu,
    and makes little sense in Debian too, to support ocaml here
  * Bump default llvm-version to 11
  * Add R^3 no
  * Bump std-version to 4.5.0
  * Bump compat level to 12
  * Drop asterisks from NEWS file
  * Add myself to uploaders
  * Fix typo in lintian override
  * Fix duplicate long description for libc++abi-dev
  * Fix some duplicate short/long descriptions
  * Move libomp5 to libs section
  * Update copyright years and license path, to fix lintian warning
  * drop dh_testroot from rules file
  * Use pkg-info.mk to detect the changelog version,
    instead of parsing with dpkg-parsechangelog

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 17 Sep 2020 09:34:28 +0200

llvm-defaults (0.50~exp1) experimental; urgency=medium

  * Bump defaults to llvm-toolchain-10

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Mar 2020 20:51:08 +0100

llvm-defaults (0.49.1) unstable; urgency=medium

  * python3-clang: Depend on python3-clang-10.
    Thanks to doko for the patch

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 09 Mar 2020 15:09:51 +0100

llvm-defaults (0.49) unstable; urgency=medium

  * Upload to unstable for the 9 transition.
    See bug #947165
  * Set debhelper-compat version in Build-Depends.
  * Move transitional packages python-clang, python-lldb to
    oldlibs/optional per policy 4.0.1.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 20 Feb 2020 09:01:34 +0100

llvm-defaults (0.49~exp3) experimental; urgency=medium

  [ Sylvestre Ledru ]
  * fix build

  [ Gianfranco Costamagna ]
  * Revert "enable lldb on s390x too, it builds fine now there"
    - this has a bad side effect, also enabling lld on s390x, but it isn't
      built there, so Britney doesn't allow migration
  * Split instead the configuration into EXTRA_SUPPORTED and LLD_SUPPORTED

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Jan 2020 01:39:47 +0100

llvm-defaults (0.49~exp2) experimental; urgency=medium

  * Introduce python 3 packages (Closes: #945660)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 22 Dec 2019 12:02:55 +0100

llvm-defaults (0.49~exp1) experimental; urgency=low

  * Team upload
  * Default to 9 for early testers

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Sep 2019 18:36:47 +0200

llvm-defaults (0.48.3) unstable; urgency=medium

  * Also break clang-tools version 9, the one defaulted in Ubuntu before clangd
    introduction

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Sep 2019 10:19:33 +0200

llvm-defaults (0.48.2) unstable; urgency=medium

  * Fix breaks/replaces for clangd (Closes: #939267)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Sep 2019 21:25:12 +0200

llvm-defaults (0.48.1) unstable; urgency=medium

  * Source upload (oh, this is a waste of time)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 08 Sep 2019 09:49:44 +0200

llvm-defaults (0.48) unstable; urgency=medium

  * Default to 10
  * Ship clangd as a new package

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 03 Aug 2019 16:00:11 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog clang-tidy`.
